"use strict";
(function ($) {
    $.field_packages = function (element, options) {
        var defaults = {
        }
        var plugin = this;
        plugin.settings = {}
        var $element = $(element),
            element = element;
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            $element.find('.list-package').select2();
        };
        plugin.example_function = function () {
        };
        plugin.init();
    }

    $.fn.field_packages = function (options) {

        return this.each(function () {

            if (undefined == $(this).data('field_packages')) {
                var plugin = new $.field_packages(this, options);
                $(this).data('field_packages', plugin);
            }
        });
    }
})(jQuery);